
U++ - Bug #178

TheIDE: Convert to "UTF-8 BOM" encoding.

11/19/2011 08:56 PM - Sender Ghost

Status: Approved Start date: 11/19/2011

Priority: High Due date:

Assignee: Miroslav Fidler % Done: 100%

Category: General Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

The case:

1. File with "Default" encoding (or another one, except "UTF-8 BOM").

2. TheIDE -> "Convert to encoding..". Select "UTF-8 BOM".

3. In result, TheIDE prepends 3 chars (with BOM) to beginning of the file. CodeEditor shows 3 empty chars.

4. TheIDE -> "Convert to encoding..". Select "Default".

5. In result, the BOM chars still there, but encoding is "Default".

History

#1 - 11/29/2011 11:34 AM - Sender Ghost

- File 178_uppsrc.diff added

- Status changed from New to Patch ready

- Priority changed from Normal to High

- % Done changed from 0 to 100

#2 - 11/30/2011 10:35 PM - Sender Ghost

I raised the priority of Bug, because this is not "Convert to "UTF-8 BOM" encoding" issue, which is a consequence.

The patch solves the cause. Without the patch, "UTF-8 BOM" feature doesn't work.

#3 - 11/30/2011 10:45 PM - Sender Ghost

- Category changed from IDE to General

#4 - 12/05/2011 12:36 AM - Sender Ghost

- Status changed from Patch ready to Approved

r4246

Files

178_uppsrc.diff 449 Bytes 11/29/2011 Sender Ghost
